# sc8pr

An educational programming package for [Python 3](https://www.python.org). Inspired by [Scratch](https://scratch.mit.edu) and [Processing](https://www.processing.org), **sc8pr**’s aim is to make it easy for new and experienced Python programmers to create animations, games, and other graphics-based programs.

![Screenshot](https://dmaccarthy.github.io/sc8pr/img/soccer.png)

**sc8pr 2** features include:
* a simple, event-driven approach to creating interactive animations
* sprite management
* physics-based collisions
* video effects / transitions
* a selection of GUI controls
* curve plotting
* robotics simulator

For more information, please see the [tutorial and reference](https://dmaccarthy.github.io/sc8pr/).

# Installation

Latest stable release (2.2):
```
pip3 install sc8pr
```

Alpha release (3.0):
```
pip3 install sc8pr==3.0a2
```

Development version (3.0.dev):
```
pip3 install https://github.com/dmaccarthy/sc8pr/archive/master.zip
```

Alternatively, you can run **sc8pr** from the source code without installing it. Just unzip the [**sc8pr** release](https://github.com/dmaccarthy/sc8pr/archive/refs/tags/v2.2.2.zip) and move the **sc8pr** package into your PYTHONPATH. Ensure that **pygame 2** is installed!

See the documentation for more [detailed instructions](https://dmaccarthy.github.io/sc8pr/?inst).

You can also preview the forthcoming [sc8pr 3 documentation](https://dmaccarthy.github.io/sc8pr3/)
